Bug 299187 - Photo plugins restricts results to photos added to flickr in the last 12 hours
Summary: Photo plugins restricts results to photos added to flickr in the last 12 hours
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 1.4 (KDE 4.9)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-01 17:38 UTC by Dennis Nienhüser
Modified: 2012-12-29 10:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Nienhüser 2012-05-01 17:38:22 UTC
The photo plugin queries photos from flickr and shows them on the map. With the API parameters currently supplied, the following restriction [1] applies to the result: 
"Geo queries require some sort of limiting agent in order to prevent the database from crying. This is basically like the check against "parameterless searches" for queries without a geo component. 
A tag, for instance, is considered a limiting agent as are user defined min_date_taken and min_date_upload parameters — If no limiting factor is passed we return only photos added in the last 12 hours (though we may extend the limit in the future)."

In practice this means that when zooming in to ~ city level or higher, most times no photos show up any more - even though flickr would provide many for the area.

The 12 hour check can be gamed by restricting the returned photos to all available licenses (append "&license=1,2,3,4,5,6,7" to the http call), but that's not a sane behavior in general.

Unless someone has a better idea, I'd suggest to check the size of the bounding box and lift the 12 hour restriction in the http call for higher zoom levels (small bounding box). This would mean that for higher zoom levels only new flickr photos show up and for city level and higher all photos of the given area.

[1] http://www.flickr.com/services/api/flickr.photos.search.html


Reproducible: Always
Comment 1 Dennis Nienhüser 2012-12-29 10:08:32 UTC
Git commit 9ff75e1a0824d2d0eba99a2b4787e9124bb0edbc by Dennis Nienhüser.
Committed on 29/12/2012 at 11:05.
Pushed by nienhueser into branch 'master'.

Prepare license choice GCI task.

By happy coincidence this fixes

M  +8    -2    src/plugins/render/photo/PhotoPluginModel.cpp

http://commits.kde.org/marble/9ff75e1a0824d2d0eba99a2b4787e9124bb0edbc